gnutls-cli(1)

NAME
gnutls-cli - GNU TLS test client

SYNOPSIS
gnutls-cli [options] hostname

DESCRIPTION
Simple client program to set up a TLS connection to some other computer. It sets up a TLS connection and forwards data from the standard input to the secured socket and vice versa.

OPTIONS

  Program control options

--copyright
    Prints the program's license.

-d, --debug LEVEL
    Specify the debug level. Default is 1.

-h, --help
    Prints a short reminder of the command line options.

-l, --list
    Print a list of the supported algorithms and modes.

-r, --resume
    Connect, establish a session. Connect again and resume this session.

-s, --starttls
    Connect, establish a plain session and start TLS when EOF or a SIGALRM is received.

-v, --version
    Prints the program's version number.

  TLS/SSL control options

--ciphers cipher1 cipher2...
    Ciphers to enable (use gnutls-cli --list to show the supported ciphers).

--comp comp1 comp2...
    Compression methods to enable (use gnutls-cli --list to show the supported compression methods).

--crlf
    Send CR LF instead of LF.

--ctypes certType1 certType2...
    Certificate types to enable (use gnutls-cli --list to show the supported certificate types).

-f, --fingerprint
    Send the openpgp fingerprint, instead of the key.

--kx kx1 kx2...
    Key exchange methods to enable (use gnutls-cli --list to show the supported key exchange methods).

--macs mac1 mac2...
    MACs (Message Authentication Codes) to enable (use gnutls-cli --list to show the supported MACs).

-p, --port integer
    The port to connect to.

--protocols protocol1 protocol2...
    Protocols to enable (use gnutls-cli --list to show the supported protocols).

--recordsize integer
    The maximum record size to advertize.

  Certificate options

--pgpcertfile FILE
    PGP Public Key (certificate) file to use.

--pgpkeyfile FILE
    PGP Key file to use.

--pgpkeyring FILE
    PGP Key ring file to use.

--pgptrustdb FILE
    PGP trustdb file to use.

--srppasswd PASSWD
    SRP password to use.

--srpusername NAME
    SRP username to use.

--x509cafile FILE
    Certificate file to use.

--x509certfile FILE
    X.509 Certificate file to use.

--x509fmtder
    Use DER format for certificates

--x509keyfile FILE
    X.509 key file to use.

--xml
    Print the certificate information in XML format.

SEE ALSO
gnutls-cli-debug(1), gnutls-serv(1)

AUTHOR

Nikos Mavroyanopoulos <nmav@gnutls.org> and others; see /usr/share/doc/gnutls-bin/AUTHORS for a complete list.

This manual page was written by Ivo Timmermans <ivo@debian.org>, for the Debian GNU/Linux system (but may be used by others).